package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.TmnLand;
import com.yunfeiyun.agmp.fms.domain.reqvo.TmnBaseLandReqVo;

import java.util.List;

/**
 * 设备基地Service接口
 * 
 * @author 杨晓辉
 * @date 2023-07-12
 */
public interface ITmnLandService 
{
    /**
     * 查询设备基地
     * 
     * @param tmnlandId 设备基地主键
     * @return 设备基地
     */
    public TmnLand selectTmnLandByTmnlandId(String tmnlandId);

    /**
     * 查询设备基地列表
     * 
     * @param tmnLand 设备基地
     * @return 设备基地集合
     */
    public List<TmnLand> selectTmnLandList(TmnLand tmnLand);

    /**
     * 新增设备基地
     * 
     * @param tmnLand 设备基地
     * @return 结果
     */
    public int insertTmnLand(TmnLand tmnLand);

    /**
     * 修改设备基地
     * 
     * @param tmnLand 设备基地
     * @return 结果
     */
    public int updateTmnLand(TmnLand tmnLand);

    /**
     * 批量删除设备基地
     * 
     * @param tmnlandIds 需要删除的设备基地主键集合
     * @return 结果
     */
    public int deleteTmnLandByTmnlandIds(String[] tmnlandIds);

    /**
     * 删除设备基地信息
     * 
     * @param tmnBaseLandReqVo 设备
     * @return 结果
     */
    public int deleteTmnLandByTmnlandId(TmnBaseLandReqVo tmnBaseLandReqVo);

    /**
     * 设备绑定
     *
     * @param tmnBaseLandReqVo 设备
     * @return 结果
     */
    public int insertTmnBaseLandByBind(TmnBaseLandReqVo tmnBaseLandReqVo);
}
